<body>

    <head>
        <link rel="stylesheet" href="style.css" />
    </head>
    <script type="text/javascript">
        $('#sun-link').hover(function() {
            $('#sun').css({
                'box-shadow': '0px 0px 10px 10px rgba(242, 120, 75, 0.4)'
            })
        }, function() {
            $('#sun').css({
                'box-shadow': '0px 0px 8px 8px rgba(242, 120, 75, 0.2)'
            })
        })

        const planets = ['mercury', 'venus', 'earth', 'mars', 'jupiter', 'saturn', 'uranus', 'neptune', 'pluto'];

        for (let i = 0; i < planets.length; i++) {
            let planet = planets[i];

            $(`#${planet}-link`).hover(function() {
                if (planet !== 'pluto') {
                    $(`#${planet}-orbit`).css({
                        border: 'solid 3px rgba(137, 196, 244, 0.4)'
                    });
                } else {
                    $(`#${planet}-orbit`).css({
                        border: 'dashed 1px rgba(137, 196, 244, 0.4)'
                    });
                }

            }, function() {
                if (planet !== 'pluto') {
                    $(`#${planet}-orbit`).css({
                        border: 'solid 3px rgba(137, 196, 244, 0.1)'
                    });
                } else {
                    $(`#${planet}-orbit`).css({
                        border: 'dashed 1px rgba(137, 196, 244, 0.1)'
                    });
                }

            })
        }
    </script>

    <h1>Our Solar System</h1>
    <ul id="planet-list">
        <li id="sun-link">
            <a href="#sun">Sun</a>
        </li>
        <li id="mercury-link">
            <a href="#mercury">Mercury</a>
        </li>
        <li id="venus-link">
            <a href="#venus">Venus</a>
        </li>
        <li id="earth-link">
            <a href="#earth">Earth</a>
        </li>
        <li id="mars-link">
            <a href="#mars">Mars</a>
        </li>
        <li id="jupiter-link">
            <a href="#jupiter">Jupiter</a>
        </li>
        <li id="saturn-link">
            <a href="#saturn">Saturn</a>
        </li>
        <li id="uranus-link">
            <a href="#uranus">Uranus</a>
        </li>
        <li id="neptune-link">
            <a href="#neptune">Neptune</a>
        </li>
        <li id="pluto-link">
            <a href="#pluto">Pluto</a>
        </li>
    </ul>
    <div class="orbit-container">
        <div id="sun"></div>
        <div id="mercury-orbit" class="orbit">
            <div id="mercury"></div>
        </div>
        <div id="venus-orbit" class="orbit">
            <div id="venus"></div>
        </div>
        <div id="earth-orbit" class="orbit">
            <div id="earth"></div>
        </div>
        <div id="mars-orbit" class="orbit">
            <div id="mars"></div>
        </div>
        <div id="jupiter-orbit" class="orbit">
            <div id="jupiter"></div>
        </div>
        <div id="saturn-orbit" class="orbit">
            <div id="saturn"></div>
            <div id="saturn-rings"></div>
        </div>
        <div id="uranus-orbit" class="orbit">
            <div id="uranus"></div>
        </div>
        <div id="neptune-orbit" class="orbit">
            <div id="neptune"></div>
        </div>
        <div id="pluto-orbit" class="orbit">
            <div id="pluto"></div>
        </div>
    </div>
</body>